<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/icn_leavecancellation.png">Leave Cancellation</h2>
<div class="row justify-content-center">
    <div class="col-sm-6">
        <div class="card formFieldsBlock">
            <div class="col-sm-12">
                <form [formGroup]="leavecancelForm" (ngSubmit)="onSubmit($event)" #formEl="ngForm">

                    <div class="row">
                        <div class="col-sm-12">
                            <mat-form-field appearance="standard">
                                <mat-label>Leave Type</mat-label>
                                <mat-select formControlName="LeaveType" required>
                                    <mat-option [value]="type" *ngFor="let type of leaveTypes" (click)="getLeaveDetails(type)">{{type}}</mat-option>
                                </mat-select>
                                <mat-error *ngIf="leavecancelForm.controls['LeaveType'].errors?.required &&
                leavecancelForm.controls['LeaveType'].touched">
                                    Please Select Leave Type.
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <mat-form-field appearance="standard">
                                <mat-label>Choose Leave</mat-label>
                                <mat-select formControlName="transactionId" required>
                                    <mat-option [value]="leave.parent.transactionId" *ngFor="let leave of appliedLeaves">{{leave?.parent?.transactionId}} : {{leave?.startDate}} - {{leave?.endDate}}</mat-option>
                                </mat-select>
                                <mat-error *ngIf="leavecancelForm.controls['transactionId'].errors?.required &&
                leavecancelForm.controls['transactionId'].touched">
                                    Please Select Leave.
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <mat-form-field appearance="standard">
                                <mat-label>Charge to</mat-label>
                                <mat-select formControlName="ChargeTo" required>
                                    <mat-option value="company">Company</mat-option>
                                    <mat-option value="employee">Employee</mat-option>
                                </mat-select>
                                <mat-error *ngIf="leavecancelForm.controls['ChargeTo'].errors?.required &&
                leavecancelForm.controls['ChargeTo'].touched">
                                    Please Select Charge To.
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <mat-form-field class="email-field" appearance="standard">
                                <mat-label>Reason of Cancelling Leave </mat-label>
                                <textarea matInput maxlength="150" formControlName="Notes" required></textarea>
                                <mat-error *ngIf="leavecancelForm.controls['Notes'].errors?.required &&
                leavecancelForm.controls['Notes'].touched">
                                    Please Enter Notes.
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                    <br>
                    <div class="text-center">
                        <button mat-raised-button [disabled]="!leavecancelForm.valid" class="submit-btn"> Submit</button>
                        <button type="button" mat-raised-button class="submit-btn" (click)="cancel()">Cancel</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>